#!/system/bin/sh
# Please don't hardcode /magisk/modname/... ; instead, please use $MODDIR/...
# This will make your scripts compatible even if Magisk change its mount point in the future
MODDIR=${0%/*}

# This script will be executed in post-fs-data mode
# More info in the main Magisk thread
# SELINUX PERMISSIVE =========================================#
magiskpolicy --live "allow * init * *"
magiskpolicy --live "allow init * * *"

Path=/data
linux=$(cat $Path/linux.txt)
if [ -e /sys/fs/selinux/enforce ]; then
 setenforce 0
 SELINUX=permissive
 echo "$linux" > /sys/fs/selinux/enforce
 LIN=$(cat /sys/fs/selinux/enforce)
fi;

if [ $LIN -eq 1 ]; then
 echo "* Security-Enhanced Linux = Enforcing *";
else
 echo "* Security-Enhanced Linux = Permissive *";
fi;